OPENVT(1)

NOM
openvt – Démarrer un programme dans un nouveau terminal virtuel (VT)

SYNOPSIS
openvt [-c num_VT] [options] [--] commande

DESCRIPTION
openvt recherche le premier terminal virtuel disponible et exécute dans celui-ci la commande indiquée avec les options indiquées. L’entrée standard, la sortie standard et la sortie d’erreur sont dirigées vers ce terminal. Le chemin de recherche ($PATH) actuel est utilisé pour trouver la commande indiquée. Si celle-ci n’est pas précisée, la variable d’environnement $SHELL est utilisée.

  OPTIONS

-c, --console=num_VT
    Utiliser le numéro de terminal virtuel indiqué au lieu du premier disponible. Pour cela, il faut avoir le droit d’écriture dans le terminal virtuel indiqué.

-f, --force
    Obliger à ouvrir le terminal virtuel sans vérifier s’il est déjà utilisé.

-e, --exec
    Exécuter directement la commande indiquée, sans fourcher. Cette option est destinée à être utilisée dans /etc/inittab.

-s, --switch
    Basculer dans le nouveau terminal virtuel lors du démarrage de la commande. Le terminal virtuel de la nouvelle commande sera le nouveau terminal virtuel actuel.

-u, --user
    Découvrir le propriétaire du terminal virtuel actuel et exécuter la connexion en tant que cet utilisateur. Cette option ne devrait pas être utilisée avec les options -c ou -l.

-l, --login
    Faire de la commande un interpréteur de connexion. Un « - » est préfixé au nom de la commande.

-v, --verbose
    Afficher un peu plus de détails.

-w, --wait
    Attendre la fin de l’exécution de la commande. Si les options -w et -s sont aussi utilisées, alors openvt reviendra au terminal de contrôle lorsque l’exécution de la commande sera terminée.

-V, --version
    Afficher la version du programme et terminer.

-h, --help
    Afficher l’aide-mémoire puis quitter.

--  Fin des options pour openvt.

NOTE
Si openvt est compilé avec une fonction getopt_long() et si vous souhaitez définir des options à la commande à exécuter, alors le marqueur -- de fin d’options doit être fourni avant la commande.

EXEMPLES
openvt peut être utilisé pour démarrer un interpréteur de commandes dans le prochain terminal virtuel libre en utilisant cette commande :

openvt bash

Pour démarrer un interpréteur de commandes en tant qu’interpréteur de
    connexion, utiliser :

openvt -l bash

Pour obtenir une liste détaillée, le séparateur -- doit être fourni :

openvt -- ls -l

HISTORIQUE
Précédemment, openvt s’appelait open. Il a été écrit par Jon Tombs <jon@gtex02.us.es> ou <jon@robots.ox.ac.uk>. L’idée de l’option -w est de « sam ».

VOIR AUSSI
chvt(1), deallocvt(1), vlock(1), login(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.